local t = Def.ActorFrame {};

t[#t+1] = Def.Quad {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffuse,color("#000000");diffusealpha,0);
		OnCommand=cmd(sleep,3;smooth,4.0;diffusealpha,1;);
};

t[#t+1] = LoadActor("_clearedring") .. {
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;zoom,0.2);
	OnCommand=cmd(blend,"BlendMode_Add";sleep,3.3;diffusealpha,1;smooth,0.6;diffusealpha,0;zoom,1.3)
};

t[#t+1] = LoadActor("_clearedsign") .. {
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0);
	OnCommand=cmd(sleep,3;diffusealpha,0;zoomx,2.9;zoomy,2.5;smooth,0.3;zoomx,0.8;zoomy,0.8;diffusealpha,1;sleep,3.3;smooth,1.4;diffusealpha,0)
};

t[#t+1] = LoadActor(THEME:GetPathS("_cleared", "fanfare")) .. {
        OnCommand=cmd(sleep,2.9;queuecommand,("Play"));
		PlayCommand=cmd(play;);
};


return t